#version 130
#extension all : warn

#pragma STDGL
#pragma optimize(on)
#pragma debug(on)

/* Uniform */
uniform sampler2D texture0;

/* In */
in vec4 color;
in vec2 texCoord0;

/* Out */
out vec4 outColor;

/* Main */
void main(void)
{
	outColor = color * texture(texture0, texCoord0.st);
}
